#!/bin/sh

# Script to start VaultDr client GUI.

if [ "$1" = "-h" ]; then
	echo -e "Usage: vaultdr_client.sh \n -h Show this help \n -t Start with Text GUI"
exit 0
fi
if [ "$1" = "-t" ]; then
	drdaemon_gui
	exit 0
else
	# Adding a Nohup so GUI does not close if terminal was closed by mistake
	sudo nohup vaultDR
	if [ $? -ne 0 ]; then
		echo "Failed to Launch GTK Gui for VaultDr"
		/bin/drdaemon_gui
	fi
fi
