#!/usr/bin/env perl

$count = @ARGV;
if (3 != $count)
{
	print "Usage: copyrecurfile <sourcedir> <targetdir> <file filter>\n";
	exit 1;
}

#Get the destination directory from arguement
$sourcedir = $ARGV[0];
$targetdir = $ARGV[1];
$filter    = $ARGV[2];

$dirlist = `du -a $sourcedir`;
@filelist = split("\n", $dirlist);

foreach $file (@filelist)
{
	if ($file =~ /[0-9]*\s*(.*$filter)$/)
	{
		$cpfile = $1;
		print "Cmd: cp -f $cpfile $targetdir\n";
		`cp -f $cpfile $targetdir`;
	}
}

exit 0;
