#include "drtrace.h"
#include "drloadmod.h"
#include <ncurses.h>

MODULE("DRNIC")

/*
** =======================================================================================
** =======================================================================================
*/
int main () 
{
	ModListT tLoadedModList[MAX_MOD_ARRAY_SIZE];
	
	DrTraceInit (FALSE);

	TRACE(("NetVault DRNIC: Built on %s", __DATE__));
	TRACE(("DRNIC process Begin"));

	BeginNICUserGUI(tLoadedModList, 0);

	system ("tset -Q");

	TRACE(("DRNIC process Ended"));

	endwin();	/* Finish with the curses GUI*/
	
	return 0;
}

