
ZLOG=/trace/drmktmp_ncr.log

> $ZLOG

gstrDevTmp=$1
lRC=0

/bin/echo "********** Begin drmktmp Process **********"
/bin/echo ""
/bin/echo "Partitioning Tmp Device: $gstrDevTmp" >> $ZLOG

/bin/sfdisk $gstrDevTmp <<-EOF >> $ZLOG
0,220
EOF

if /bin/echo $gstrDevTmp | /bin/grep '/dev/rd/' > /dev/null 2>&1
then
	gstrDevTmp=${1}p1
else
	gstrDevTmp=${1}1
fi

/bin/echo "Tmp Device Partition is: $gstrDevTmp" >> $ZLOG
/bin/echo "Make ext2 Filesystem on Tmp Device Partition: $gstrDevTmp" >> $ZLOG

if /bin/mke2fs -q $gstrDevTmp >> /trace/drmktmp_ncr.log
then
	/bin/echo "Make ext2 filesystem on Tmp Device Partition: $gstrDevTmp Successfully" >> $ZLOG
else
	/bin/echo "Failed to make ext2 filesystem on Tmp Device Partition: $gstrDevTmp" >> $ZLOG
	lRC=1
fi

/bin/echo "Mount Tmp Device Partition: $gstrDevTmp on /mp" >> $ZLOG

/bin/umount /mp

if /bin/mount -t ext2 $gstrDevTmp /mp > /dev/null 2>&1
then
	/bin/echo "Mount Tmp Device Partition: $gstrDevTmp Successfully" >> $ZLOG
else
	/bin/echo "Failed to mount Tmp Device Partition: $gstrDevTmp" >> $ZLOG
	lRC=1
fi

/bin/echo ""
/bin/echo "********** End drmktmp Process **********"

exit $lRC

