#include "drtrace.h"
#include "drloadmod.h"
#include <ncurses.h>

MODULE("DRSCSI")

/*
** =======================================================================================
** =======================================================================================
*/
int main () 
{
	ModListT tLoadedModList[MAX_MOD_ARRAY_SIZE];	
	DrTraceInit (FALSE);

	TRACE(("NetVault DRSCSI: Built on %s", __DATE__));
	TRACE(("DRSCSI process Begin"));

	BeginSCSIUserGUI(tLoadedModList, 0);
	
	system ("tset -Q");

	TRACE(("DRSCSI process Ended"));

	endwin();	/* Finish with the curses GUI*/
	
	return 0;
}

