
#ifndef BSECT_H
#define BSECT_H

void bsect_read(char *boot_dev,BOOT_SECTOR *buffer);

void bsect_open(char *boot_dev,char *map_file,char *install,int delay,
  int timeout, long raid_offset);


int bsect_number(void);


void check_fallback(void);

void bsect_update(char *backup_file, int force_backup, int pass);

void bsect_raid_update(char *boot_dev, unsigned long raid_offset, 
	char *backup_file, int force_backup, int pass);

void bsect_cancel(void);


void do_image(void);

void do_unstripped(void);

void do_other(void);

void bsect_uninstall(char *boot_dev_name,char *backup_file,int validate);

#endif
